<template>
    <div class="login pb-5 px-3 text-center">
      <form @submit.prevent="loginUser" class="form-signin">
        <img
          class="mt-5 mb-5"
          src="http://devfast.us/images/devfast-logo.png"
          alt=""
          width="72"
          height="72"
        />
        <h3>Làm theo cách hiệu quả nhất </h3>
        <label for="inputEmail" class="sr-only">Email address</label>
        <input
          type="email"
          id="inputEmail"
          class="form-control login-input mb-3 p-3 input-mail"
          placeholder="Email address"
          required
          autofocus
          v-model="user.email"
        />
        <label for="inputPassword" class="sr-only">Password</label>
        <input
          type="password"
          id="inputPassword"
          class="form-control login-input mb-3 p-3"
          placeholder="Password"
          required
          v-model="user.password"
        />
        
        <button class="btn btn-primary btn-login" style="margin-left: 30px" type="submit" @click.prevent="loginUser">
          Sign in
        </button>
        <p class="mt-5 mb-3 text-muted">© 2021-Ngô Thế Cường</p>
      </form>
    </div>
</template>
<script>
import { API_REPORT } from '~/assets/contants/contant.js'
export default {
  data: function () {
    return {
      user: {},
    }
  },

  computed: {
    API_REPORT() {
      return API_REPORT
    },
  },

  methods: {
    async loginUser() {
      await this.$auth.loginWith('local', { data: this.user }).then((res) => {
        console.log(this.$auth)
        this.$router.push('/')
        location.replace('/report')
      })
    },
  },
}
</script>
<style>
  .login {
    margin-top: 10vh;
  }

  .login  .input-mail {
    margin: auto;
  }
  .login img {
    border-radius: 1rem;
  }

  .btn-login {
    height: 5vh ;
    width: 25vw;
  }

  .login h3 {
    margin-bottom: 5vh;
  }
  .login .login-input {
    margin-left:37.6vw ;
    height: 6vh;
    width: 25vw;
  }
</style>